var tmpl=`
<div style="position:fixed;z-index:9999;top:0px;width:100%;border-bottom:1px solid #eee;background:white">
  <el-row type="flex"  justify="space-between" style="height:50px;background-color:#eee;">
    <el-col :span="4" style="margin-top:15px"><div><slot name="left"><i v-if="isshowback"   class="el-icon-arrow-left" @click="back"></i></slot></div></el-col>
    <el-col :span="10" style="margin-top:15px"><div><slot name="title">{{title}}</slot></div></el-col>
    <el-col :span="4" style="margin-top:15px;margin-right:10px"><div><slot name="action"></slot></div></el-col>
  </el-row>
</div>
`
module.exports=
`{
   template:'${tmpl}',
   props:['title','isback','bottommenu'],
   data:function(){
     return {
        isshowback:this.isback?this.isback:false,
     };
   },
   mounted(){
     if(this.bottommenu){
       this.$root.showmenu();
     }else{
       this.$root.hidemenu();
     }
   },
   methods:{
     showback(){
       this.isshowback=true;
     },
     hideback(){
       this.isshowback=false;
     },
     back:function(){
       window.history.length > 1 ? this.$router.go(-1): this.$router.push('/');
     },
   },
   vname:"gsb-h5nav"
}`
